Get a company logo by domain
curl --request GET \
--url https://rest.forestreet.com/v2/assets/logos/{domain} \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/assets/logos/{domain}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/assets/logos/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<string>"
}{
"success": true,
"data": "<string>"
}Assets
Get a company logo by domain
Attempts to retrieve a company logo by its domain. Cached logos are stored in MySQL for 90 days before they are refreshed via the logo.dev API.
This endpoint supports both JSON and PNG responses.
The path should contain the domain name.
Example: google.com
If the logo cannot be served and a PNG response is requested, a magnifying-glass fallback icon is returned.
GET
/
v2
/
assets
/
logos
/
{domain}
Get a company logo by domain
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
The domain name for the logo request (e.g., company-domain.com)
Pattern:
^(?!-)[a-zA-Z0-9-]{1,63}(?<!-)(?:\.(?!-)[a-zA-Z0-9-]{1,63}(?<!-))+$Query Parameters
Content type for the image endpoint. Defaults to 'image/png'. Use 'application/json' to get base64 encoded image.
Available options:
image/png, application/json